package MyTypes::testExtended;
use strict;
use warnings;
use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %extend_of :ATTR(:get<extend>);

__PACKAGE__->_factory(
    [ qw(
        extend
    ) ],
    {
        extend => \%extend_of,
    },
    {
        extend => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
    }
);

} # end BLOCK






1;

=pod

=head1 NAME

MyTypes::testExtended

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complextype
testExtended from the namespace urn:HelloWorld.

=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

 extend


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # MyTypes::testExtended
   extend =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

